.CmsPage {
    margin-top: var(--header-total-height);

    &_isBreadcrumbsHidden {
        margin-top: calc(var(--header-total-height) - 10px);

        &.StyledMain_hide-breadcrumbs {
            @include mobile {
                margin-top: calc(var(--header-info-bar-height) + var(--header-nav-height));
            }
        }
    }

    &-Wrapper {
        max-width: var(--content-wrapper-width);
        grid-template-columns: auto;

        padding: {
            right: 1rem;
            left: 1rem;
        }

        margin: {
            right: auto;
            bottom: var(--header-nav-height);
            left: auto;
        }

        @include after-mobile {
            margin-top: 2rem;
        }

        &_page_width {
            &_full {
                max-width: 100%;
                padding: {
                    right: 0;
                    left: 0;
                }
            }
        }
    }

    &-Heading {
        margin-bottom: 1.5rem;

        @include mobile {
            display: none;
        }
    }

    &-SectionPlaceholder {
        padding-bottom: 30%;
        margin: 0 0 10px;
        background-image: var(--placeholder-image);
        background-size: var(--placeholder-size);
        animation: var(--placeholder-animation);

        @include mobile {
            padding-bottom: 60%;
        }

        &:first-child {
            padding-bottom: 40%;

            @include mobile {
                padding-bottom: 100%;
            }
        }
    }

    .TextPlaceholder {
        display: block;
        margin-bottom: 1.8rem;
    }

    h2,
    h3 {
        @include mobile {
            font-size: 1rem;
        }
    }
}

.Theme_hide-page-title {
    .CmsPage-Heading {
        display: none;
    }
}

.Theme_hide-breadcrumbs {
    .Breadcrumbs {
        display: none;
    }
}

.Theme_transparent-header {
    .CmsPage_isBreadcrumbsHidden {
        margin-top: 0;
    }
    .CmsPage {
        margin-top: 0;
        //
        //&_isBreadcrumbsHidden {
        //    margin-top: 0;
        //}

        &-Wrapper {
            @include after-mobile {
                margin-top: 0;
            }
        }
    }
}

.prm {
    .CmsPage_isBreadcrumbsHidden.StyledMain_hide-breadcrumbs {
        @include before-desktop {
            margin-top: var(--header-nav-height);
        }
    }
}
